Bug 1023673 - libguestfs-mount dependency is no longer required on EL6 branches
libguestfs-mount dependency is no longer required on EL6 branches
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Juno
Assigned To: RHOS Maint
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 17:33 EDT by Pádraig Brady
Modified: 2016-01-04 09:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023674 (view as bug list)
Environment:
Last Closed: 2015-02-17 09:56:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2013-10-26 17:33:11 EDT
openstack-nova-compute >= grizzly no longer needs this dependency,
relying solely on python-guestfs
Comment 1 Kashyap Chamarthy 2014-01-05 10:23:29 EST
(In reply to Pádraig Brady from comment #0)
> openstack-nova-compute >= grizzly no longer needs this dependency,
> relying solely on python-guestfs

I take it as you meant -- python-libguestfs. (Because, Fedora uses python-libguestfs; while Debian uses python-guestfs)

And, I see that it's already fixed long time ago:

On  openstack-nova's master branch:

    $ git branch
    * master

    $ grep libguestfs-mount openstack-nova.spec -B4
    * Wed Nov 28 2012 Nikola Đipanov <ndipanov@redhat.com> 2013.1-0.1.g1
    - Update to Grizzly milestone 1
    - Remove volume subpackage - removed from Grizzly
    - Add the conductor subpackage - new service added in Grizzly
    - Depend on python-libguestfs instead of libguestfs-mount


Ensure python-libguestfs is in 'Requires':

    $ git branch
    * master
    $ git log | head -1
    commit 14f05c2a5ebcf4b76dc526a1fa6d79d66484de94

    $ egrep -i 'Requires.*python-libguestfs' openstack-nova.spec 
    Requires:         python-libguestfs

while, libguestfs-mount is NOT:

    $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec


Similarly on f20 branch, ensure python-libguestfs is in 'Requires':

    $ git branch
    * f20
    $ git log | head -1
    commit 365c5df94987700c48cab8ab206100cc4c8f3050

    $ egrep -i 'Requires.*python-libguestfs' openstack-nova.spec 
    Requires:         python-libguestfs  

while, libguestfs-mount is NOT:

    $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec


Does this look sensible, Pádraig?
Comment 2 Kashyap Chamarthy 2014-01-05 10:26:38 EST
(Missed to add the return status, refer below.)

[. . .]

> while, libguestfs-mount is NOT:
> 
>     $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec

      $ echo $?
      1
> 
> 
> Similarly on f20 branch, ensure python-libguestfs is in 'Requires':
> 
>     $ git branch
>     * f20

[. . .]

> 
> while, libguestfs-mount is NOT:
> 
>     $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec

      $ echo $?
      1
Comment 3 Pádraig Brady 2014-01-05 15:21:07 EST
That fix was probably not ported to el6-grizzly el6-havana, el6-icehouse branches
Comment 4 Kashyap Chamarthy 2014-01-06 04:38:32 EST
(In reply to Pádraig Brady from comment #3)
> That fix was probably not ported to el6-grizzly el6-havana, el6-icehouse
> branches

True.

el6-icehouse:

    $ git checkout remotes/origin/el6-icehouse
    $ git log | head -1
    commit 488a38a61c1d718e3ca1e7e3f84a13ad8b86fdfe
    $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec
    Requires:         libguestfs-mount >= 1.7.17

el6-havana:

    $ git checkout remotes/origin/el6-havana
    $ git log | head -1
    commit e9a0d53f3920b710860866f001dd031fad331d8d
    $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec
    Requires:         libguestfs-mount >= 1.7.17

el6-grizzly:

    $ git checkout remotes/origin/el6-grizzly
    $ git log | head -1
    commit e472ee165232cc6f96a888944e1bb87cda485a87
    $ egrep -i 'Requires.*libguestfs-mount' openstack-nova.spec
    Requires:         libguestfs-mount >= 1.7.17
Comment 5 Pádraig Brady 2014-01-15 09:52:36 EST
Note this is valid for >= Grizzly
but pragmatic only for >= Havana
Comment 6 Alan Pevec 2015-02-17 09:56:26 EST
This is fixed in RDO Juno.
Comment 7 Kashyap Chamarthy 2015-02-17 10:55:29 EST
Just to write down the note Alan mentioned on IRC: IceHouse is in a Security-fixes only mode, similar to upstream: https://wiki.openstack.org/wiki/Releases

Note You need to log in before you can comment on or make changes to this bug.